Status: Resolved Start date: 12/01/2011
Priority: Normal Due date:

Assignee: Aaron Marcuse-Kubitza % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Activity type:

Description

Conference call:

o develop benchmark tests to check that datasource data was inserted correctly into VegBank

o these are pairs of summarizing querles WhICh when run on their respective databases, produce the same results

G, and Aaron will translate them into VegBank

History

#1 - 12/08/2011 01:07 PM - Aaron Marcuse-Kubitza
- % Done changed from 0 to 40

Brad Boyle provided SALVIAS queries, which are on the wiki under SALVIAS tests

#2 - 12/13/2011 12:10 PM - Aaron Marcuse-Kubitza
- Description updated
- % Done changed from 40 to 70

Brad Boyle provided NYBG queries, which are on the wiki under NYBG tests

#3 - 12/14/2011 02:09 PM - Aaron Marcuse-Kubitza

- Assignee set to Aaron Marcuse-Kubitza

#4 - 01/04/2012 04:43 PM - Aaron Marcuse-Kubitza
- % Done changed from 70 to 80

Created mechanism to write verification queries and compare to desired output

#5 - 01/05/2012 11:26 AM - Aaron Marcuse-Kubitza

You can view the validation results by running the following on vegbiendev:

make verify --directory=/home/bien/svn/inputs/SALVIAS/

The validation results highlight areas where the imported data differs from the input data, which can be used to find potential bugs.

#6 - 03/28/2014 02:52 AM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 80 to 100

this is now the Aggregating validations
https://projects.nceas.ucsb.edu/nceas/projects/bien/wiki/SALVIAS_tests
